Subject: bug#57334: 28.1; Fix wdired with (dired '(dir f1 f2 ...))

From: Lars Ingebrigtsen <[email-masked]>
Date: Mon, 22 Aug 2022 12:27:09 +0200

Thierry Volpiatto <[email-masked]> writes:

> +                 (setcdr dired-directory
> +                         ;; Replace in `dired-directory' files that have
> +                         ;; been modified with their new name keeping
> +                         ;; the ones that are unmodified at the same place.
> +                         (cl-loop for f in (cdr dired-directory)
> +                                  collect (or (assoc-default f files-renamed)
> +                                              f)))))

This isn't obviously safe -- I think you're changing the list that
`dired' was originally called with here, which we shouldn't do.  (It may
even be a constant.)

So I think this should be changed to not do that.